<?php



require_once ("../../config/Cado.php");

require_once("cBanco.php");

$oBanco = new cBanco();



if($_POST['action']=="insertar"){

	

	if(!empty($_POST['txt_bannom']))

	{

		$oBanco->insertar($_POST['txt_bannom'],$_POST['txt_banabr']);

		

		$data['ban_msj']='Se registró correctamente.';

	}

	else

	{

		$data['ban_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}





if($_POST['action']=="editar"){

	if(!empty($_POST['txt_bannom']))

	{

		$rs=$oBanco->modificar($_POST['hdd_ban_id'],$_POST['txt_bannom'],$_POST['txt_banabr']);

		

		$data['ban_msj']='Actualizado correctamente.';

	}else{

		$data['ban_msj']='Intentelo nuevamente.';

	}

	echo json_encode($data);

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['ban_id']))

	{

		$oBanco->modificar_campo($_POST['ban_id'],'xac','0');

		echo 'Se elimino correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

?>